﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Windows.Data;

namespace TranslationByMarkupExtension
{
    public class MainWindowViewModel
    {
        public ICollectionView Languages { get; private set; }

        public MainWindowViewModel()
        {
            Languages = CollectionViewSource.GetDefaultView(TranslationManager.Instance.Languages);
            Languages.CurrentChanged += (s, e) => TranslationManager.Instance.CurrentLanguage = (CultureInfo)Languages.CurrentItem;
        }
    }
}
